Skip to main content
POST
/
environments
Create environment
curl --request POST \
  --url https://api.example.com/environments \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-environment: <x-environment>' \
  --data '
{
  "name": "<string>",
  "timezone": "<string>",
  "dataResidency": "<string>",
  "address": {
    "street1": "<string>",
    "street2": "<string>",
    "postalCode": "<string>",
    "city": "<string>",
    "county": "<string>",
    "country": "<string>",
    "state": "<string>"
  }
}
'
import requests

url = "https://api.example.com/environments"

payload = {
"name": "<string>",
"timezone": "<string>",
"dataResidency": "<string>",
"address": {
"street1": "<string>",
"street2": "<string>",
"postalCode": "<string>",
"city": "<string>",
"county": "<string>",
"country": "<string>",
"state": "<string>"
}
}
headers = {
"x-environment": "<x-environment>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {
'x-environment': '<x-environment>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: '<string>',
timezone: '<string>',
dataResidency: '<string>',
address: {
street1: '<string>',
street2: '<string>',
postalCode: '<string>',
city: '<string>',
county: '<string>',
country: '<string>',
state: '<string>'
}
})
};

fetch('https://api.example.com/environments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "timezone": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "address": {
    "street1": "<string>",
    "street2": "<string>",
    "postalCode": "<string>",
    "city": "<string>",
    "county": "<string>",
    "country": "<string>",
    "state": "<string>"
  }
}
{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}
{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}
{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}
{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}

Headers

x-environment
string<uuid>
required

Configure which environment the request will handle. If the provided credentials do not allow access to this specified environment, a 403 Forbidden response is returned.

Body

application/json

Required.

name
string | null
required

Sets the name of the environment.

timezone
string | null
required

Sets the timezone of the environment. Must be a valid IANA timezone Id i.e. 'Europe/London'. See https://en.wikipedia.org/wiki/List_of_tz_database_time_zones for a full list.

dataResidency
string | null
required

Sets the data residency of the environment. Must be either 'northus', 'europe' or 'asia'.

address
object

Response

OK

id
string<uuid>
required
name
string | null
required
timezone
string | null
required
createdAt
string<date-time>
required
type
enum<string>
required
Available options:
trial,
sandbox,
production
state
enum<string>
required
Available options:
provisioning,
active,
terminating,
terminated
updatedAt
string<date-time> | null
address
object